# Latin1Decoder class

This class converts Latin-1 bytes (lists of unsigned 8-bit integers) to a string.

Inheritance
  - Object
  - StreamTransformerBase<List<int>, String>
  - Converter<List<int>, String>
  - Latin1Decoder

## Constructors

Latin1Decoder({bool allowInvalid: false })
  Instantiates a new Latin1Decoder. [...]
  const

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

startChunkedConversion(Sink<String> sink) → ByteConversionSink
  Starts a chunked conversion. [...]
bind(Stream<List<int>> stream) → Stream<String>
  Transforms the provided `stream`. [...]
  inherited
cast<RS, RT>() → Converter<RS, RT>
  Provides a `Converter<RS, RT>` view of this stream transformer. [...]
  inherited
convert(List<int> bytes, [ int start = 0, int end ]) → String
  Converts the `bytes` (a list of unsigned 7- or 8-bit integers) to the corresponding string. [...]
  inherited
fuse<TT>(Converter<String, TT> other) → Converter<List<int>, TT>
  Fuses `this` with `other`. [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited